Index: DCWoRMS/branches/coolemall/src/test/article2/recs/utils/RecsProcessorPowerInterface.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/utils/RecsProcessorPowerInterface.java	(revision 1211)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/utils/RecsProcessorPowerInterface.java	(revision 1420)
@@ -5,6 +5,6 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.EnergyEventType;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEventType;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.PowerProfile;
@@ -35,5 +35,5 @@
 				resource.setStatus(ResourceStatus.FREE);
 			}
-			resource.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, resource.getFullName()));		
+			resource.handleEvent(new ResourceEvent(ResourceEventType.POWER_STATE_CHANGED, resource.getFullName()));		
 		}
 
@@ -69,5 +69,5 @@
 			//speed.setAmount(Double.valueOf(currentPState.getFrequency()).intValue());
 			//new ResourceEventCommand(resource).execute(EnergyEventType.FREQUENCY_CHANGED);
-			resource.handleEvent(new EnergyEvent(EnergyEventType.FREQUENCY_CHANGED, resource.getFullName()));
+			resource.handleEvent(new ResourceEvent(ResourceEventType.CPU_FREQUENCY_CHANGED, resource.getFullName()));
 			//resource.getScheduler().sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE, resource.getName());
 			return true;
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java	(revision 1420)
@@ -6,5 +6,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -12,5 +12,5 @@
 public class AmdNodeEEP extends RecsNodeBaseEEP {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdCpuEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdCpuEEP.java	(revision 826)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdCpuEEP.java	(revision 1420)
@@ -3,10 +3,10 @@
 import schedframe.Parameters;
 import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
 public class AmdCpuEEP extends RecsCpuBaseEEP {
 	
-	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource) {
+	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
 		return cpuTypeConstant + inletTemperature + 200;
 	}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java	(revision 1399)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java	(revision 1420)
@@ -9,10 +9,10 @@
 import java.util.ResourceBundle;
 
-import schedframe.events.scheduling.EventReason;
+import schedframe.events.EventReason;
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.units.PEUnit;
@@ -52,5 +52,5 @@
 	private static double [] knownLoadLevels = {0.25, 0.5, 0.75, 1};
 
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource) {
+	public double estimateAirThroughput(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
 
 		double airThroughput = 0;
@@ -83,5 +83,5 @@
 	}
 
-	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource) {
+	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
 		double tout = 0;
 		double tin = 21.3;
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java	(revision 1399)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java	(revision 1420)
@@ -1,8 +1,8 @@
 package test.article2.recs.plugins.energy;
 
-import schedframe.events.scheduling.EventReason;
+import schedframe.events.EventReason;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.devices.PhysicalResource;
@@ -18,5 +18,5 @@
 	protected double inletTemperature;
 	
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		
@@ -34,5 +34,5 @@
 	}
 
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource) {
+	public double estimateAirThroughput(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
 
 		double airThroughput = 0;
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1420)
@@ -6,5 +6,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -12,5 +12,5 @@
 public class AtomD510NodeEEP extends RecsNodeBaseEEP {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java	(revision 1399)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java	(revision 1420)
@@ -1,6 +1,6 @@
 package test.article2.recs.plugins.energy;
 
-import schedframe.events.scheduling.EventReason;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.events.EventReason;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.devices.PhysicalResource;
@@ -10,5 +10,5 @@
 public class FanEnergyEstimationPlugin extends BaseEnergyEstimationPlugin {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
@@ -24,5 +24,5 @@
 	}
 
-	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+	public double estimateAirflow(ResourceEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
 		double airflow = 0;
 		try {
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java	(revision 1420)
@@ -6,5 +6,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -12,5 +12,5 @@
 public class IntelNodeEEP extends RecsNodeBaseEEP {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510CpuEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510CpuEEP.java	(revision 826)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510CpuEEP.java	(revision 1420)
@@ -3,10 +3,10 @@
 import schedframe.Parameters;
 import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
 public class AtomD510CpuEEP extends RecsCpuBaseEEP {
 	
-	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource) {
+	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
 		return cpuTypeConstant + inletTemperature + 200;
 	}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelCpuEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelCpuEEP.java	(revision 826)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelCpuEEP.java	(revision 1420)
@@ -4,10 +4,10 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
 public class IntelCpuEEP extends RecsCpuBaseEEP {
 	
-	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource) {
+	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
 		Processor cpu = (Processor) resource;
 		double powerConsumption = cpu.getPowerInterface().getRecentPowerUsage().getValue();
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCoreEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCoreEEP.java	(revision 1210)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCoreEEP.java	(revision 1420)
@@ -1,5 +1,5 @@
 package test.article2.recs.plugins.energy;
 
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -8,5 +8,5 @@
 public class RecsCoreEEP extends BaseEnergyEstimationPlugin {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 				PhysicalResource esource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java	(revision 1420)
@@ -4,5 +4,5 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.DataCenter;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.computing.profiles.energy.power.PowerUsage;
 import schedframe.resources.devices.PhysicalResource;
@@ -13,5 +13,5 @@
 
 	@Override
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double power = 0;
@@ -25,5 +25,5 @@
 	}
 	
-	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource) {
+	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
 		return 0;
 	}