Index: DCWoRMS/branches/coolemall/src/test/powerCapping/CB2_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/CB2_FCFS_Random_SP.java	(revision 1420)
+++ DCWoRMS/branches/coolemall/src/test/powerCapping/CB2_FCFS_Random_SP.java	(revision 1441)
@@ -86,5 +86,5 @@
 			}
 			break;
-		case POWER_LIMIT_EXCEEDED:
+		case RESOURCE_POWER_LIMIT_EXCEEDED:
 			powerCap(resManager);
 			break;
Index: DCWoRMS/branches/coolemall/src/test/powerCapping/CB1PowerCappingEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/CB1PowerCappingEnergyEstimationPlugin.java	(revision 1420)
+++ DCWoRMS/branches/coolemall/src/test/powerCapping/CB1PowerCappingEnergyEstimationPlugin.java	(revision 1441)
@@ -52,8 +52,8 @@
 		//System.out.println(CB2_FCFS_Random_SP.mode);
 		if(powerConsumption > MAX_THRESHOLD && !CB2_FCFS_Random_SP.mode.equals(resource.getFullName())){
-			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.POWER_LIMIT_EXCEEDED, null);
+			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.RESOURCE_POWER_LIMIT_EXCEEDED, null);
 		}
 		else if(powerConsumption < MAX_THRESHOLD && !CB2_FCFS_Random_SP.mode.equals(resource.getFullName())){
-			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.POWER_LIMIT_EXCEEDED, null);
+			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.RESOURCE_POWER_LIMIT_EXCEEDED, null);
 		}
 		
Index: DCWoRMS/branches/coolemall/src/test/migrate/NodeEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/migrate/NodeEnergyEstimationPlugin.java	(revision 1420)
+++ DCWoRMS/branches/coolemall/src/test/migrate/NodeEnergyEstimationPlugin.java	(revision 1441)
@@ -26,5 +26,5 @@
 		} 
 		if(powerConsumption > epConf.getPowerCapLevel()){
-			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.POWER_LIMIT_EXCEEDED, node.getFullName());
+			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.RESOURCE_POWER_LIMIT_EXCEEDED, node.getFullName());
 		}
 		return powerConsumption;
Index: DCWoRMS/branches/coolemall/src/test/migrate/FCFSBF_RandomPluginMigrate.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/migrate/FCFSBF_RandomPluginMigrate.java	(revision 1399)
+++ DCWoRMS/branches/coolemall/src/test/migrate/FCFSBF_RandomPluginMigrate.java	(revision 1441)
@@ -58,5 +58,5 @@
 			}
 			break;
-		case POWER_LIMIT_EXCEEDED:
+		case RESOURCE_POWER_LIMIT_EXCEEDED:
 			String src = event.getSource();
 			optimizeEnergyUsage(jobRegistry, resourceManager , src);
Index: DCWoRMS/branches/coolemall/src/test/freqscaling/CB2_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/freqscaling/CB2_FCFS_Random_SP.java	(revision 1420)
+++ DCWoRMS/branches/coolemall/src/test/freqscaling/CB2_FCFS_Random_SP.java	(revision 1441)
@@ -86,5 +86,5 @@
 			}
 			break;
-		case POWER_LIMIT_EXCEEDED:
+		case RESOURCE_POWER_LIMIT_EXCEEDED:
 			powerCap(resManager);
 			break;
Index: DCWoRMS/branches/coolemall/src/test/freqscaling/CB1PowerCappingEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/freqscaling/CB1PowerCappingEnergyEstimationPlugin.java	(revision 1420)
+++ DCWoRMS/branches/coolemall/src/test/freqscaling/CB1PowerCappingEnergyEstimationPlugin.java	(revision 1441)
@@ -52,8 +52,8 @@
 		//System.out.println(CB2_FCFS_Random_SP.mode);
 		if(powerConsumption > MAX_THRESHOLD){
-			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.POWER_LIMIT_EXCEEDED, null);
+			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.RESOURCE_POWER_LIMIT_EXCEEDED, null);
 		}
 		else if(powerConsumption < MAX_THRESHOLD){
-			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.POWER_LIMIT_EXCEEDED, null);
+			DataCenterWorkloadSimulator.getEventManager().sendToAllSchedulers(0, DCWormsTags.RESOURCE_POWER_LIMIT_EXCEEDED, null);
 		}
 		