Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/SchedulingPluginConfiguration.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/SchedulingPluginConfiguration.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/SchedulingPluginConfiguration.java	(revision 1447)
@@ -5,19 +5,19 @@
 
 import schedframe.PluginConfiguration;
-import schedframe.events.scheduling.SchedulingEventType;
+import schedframe.events.EventType;
 
 public class SchedulingPluginConfiguration implements PluginConfiguration {
 	
-	private Map<SchedulingEventType, Object> events;
+	private Map<EventType, Object> events;
 
 	public SchedulingPluginConfiguration(){
-		this.events = new HashMap<SchedulingEventType, Object>();
+		this.events = new HashMap<EventType, Object>(2);
 	}
 	
-	public void addServedEvent(SchedulingEventType eventType, Object argument){
+	public void addServedEvent(EventType eventType, Object argument){
 		events.put(eventType, argument);
 	}
 	
-	public Map<SchedulingEventType, Object> getServedEvents() {
+	public Map<EventType, Object> getServedEvents() {
 		return events;
 	}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/Scheduler.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/Scheduler.java	(revision 1415)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/Scheduler.java	(revision 1447)
@@ -17,4 +17,5 @@
 import schedframe.Initializable;
 import schedframe.PluginConfiguration;
+import schedframe.events.EventType;
 import schedframe.events.scheduling.SchedulingEventType;
 import schedframe.resources.Resource;
@@ -107,5 +108,5 @@
 		PluginConfiguration pluginConfig = managementSystem.getSchedulingPluginConfiguration();
 		if (pluginConfig != null) {
-			Map<SchedulingEventType, Object> events = pluginConfig.getServedEvents();
+			Map<EventType, Object> events = pluginConfig.getServedEvents();
 			if (events != null) {
 				Object obj = events.get(SchedulingEventType.TIMER);
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/AbstractManagementSystem.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 1440)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 1447)
@@ -13,4 +13,5 @@
 
 import schedframe.PluginConfiguration;
+import schedframe.events.EventType;
 import schedframe.events.scheduling.SchedulingEventType;
 import schedframe.scheduling.Scheduler;
@@ -185,5 +186,5 @@
 		PluginConfiguration pluginConfig = schedulingPlugin.getConfiguration();
 		if (pluginConfig != null) {
-			Map<SchedulingEventType, Object> events = pluginConfig.getServedEvents();
+			Map<EventType, Object> events = pluginConfig.getServedEvents();
 			if (events != null) {
 				Object obj = events.get(SchedulingEventType.TIMER);
Index: DCWoRMS/branches/coolemall/src/schedframe/PluginConfiguration.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/PluginConfiguration.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/schedframe/PluginConfiguration.java	(revision 1447)
@@ -3,5 +3,5 @@
 import java.util.Map;
 
-import schedframe.events.scheduling.SchedulingEventType;
+import schedframe.events.EventType;
 
 public interface PluginConfiguration {
@@ -12,5 +12,5 @@
 	 * @return
 	 */
-	public Map<SchedulingEventType, Object> getServedEvents();
+	public Map<EventType, Object> getServedEvents();
 
 }
Index: DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/plugin/EnergyPluginConfiguration.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/plugin/EnergyPluginConfiguration.java	(revision 1415)
+++ DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/plugin/EnergyPluginConfiguration.java	(revision 1447)
@@ -1,26 +1,28 @@
 package schedframe.resources.computing.profiles.energy.power.plugin;
 
+import java.util.HashMap;
 import java.util.Map;
 
 import schedframe.PluginConfiguration;
-import schedframe.events.scheduling.SchedulingEventType;
+import schedframe.events.EventType;
+
 
 public class EnergyPluginConfiguration  implements PluginConfiguration {
 	
-	//private Map<SchedulingEventType, Object> events;
+	private Map<EventType, Object> events;
 	private double powerCapLevel;
 	private double powerFloorLevel;
 
 	public EnergyPluginConfiguration(){
-		//this.events = new HashMap<SchedulingEventType, Object>();
+		this.events = new HashMap<EventType, Object>(2);
 	}
 	
-	public void addServedEvent(SchedulingEventType eventType, Object argument){
-		//events.put(eventType, argument);
+	public void addServedEvent(EventType eventType, Object argument){
+		this.events.put(eventType, argument);
 	}
 	
-	public Map<SchedulingEventType, Object> getServedEvents() {
-		//return events;
-		return null;
+	public Map<EventType, Object> getServedEvents() {
+		return this.events;
+		//return null;
 	}
 
Index: DCWoRMS/branches/coolemall/src/schedframe/resources/computing/ComputingResource.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/resources/computing/ComputingResource.java	(revision 1440)
+++ DCWoRMS/branches/coolemall/src/schedframe/resources/computing/ComputingResource.java	(revision 1447)
@@ -335,4 +335,21 @@
 			}					
 		}
+		
+		/*EnergyExtension ee = (EnergyExtension) extensionList.getExtension(ExtensionType.ENERGY_EXTENSION);
+		if(ee != null && ee.getPowerProfile() != null){
+			PluginConfiguration pluginConfig = ee.getPowerProfile().getEnergyEstimationPlugin().getConfiguration();
+			if (pluginConfig != null) {
+				Map<EventType, Object> events = pluginConfig.getServedEvents();
+				if (events != null) {
+					Object obj = events.get(ResourceEventType.TIMER);
+					if (obj != null) {
+						int delay = (Integer) obj;
+						DataCenterWorkloadSimulator.getEventManager().sendToResource(getFullName(), delay, new ResourceEvent(ResourceEventType.TIMER, null));
+					}
+				}
+			}
+		}*/
+
+
 		//alternative way
 		//getEventHandler().handleResourceEvent(new EnergyEvent(EnergyEventType.AIRFLOW_STATE_CHANGED, "Resource controller"));