Index: DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_EnergyUsage.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1476)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1481)
@@ -1,66 +1,63 @@
-powerConsumption;compRes/Processor_1;1225666800000;80;
-powerConsumption;compRes/Processor_1;1225668600000;70;
-powerConsumption;compRes/Processor_1;1225672200000;80;
-powerConsumption;compRes/Processor_1;1225674000000;70;
-powerConsumption;compRes/Processor_1;1225677600000;90;
-powerConsumption;compRes/Processor_1;1225684800000;95;
+powerConsumption;compRes/Processor_1;1225666800000;90;
+powerConsumption;compRes/Processor_1;1225670400000;95;
+powerConsumption;compRes/Processor_1;1225675800000;90;
+powerConsumption;compRes/Processor_1;1225679400000;95;
+powerConsumption;compRes/Processor_1;1225684800000;90;
+powerConsumption;compRes/Processor_1;1225686600000;95;
+powerConsumption;compRes/Processor_1;1225689300000;80;
+powerConsumption;compRes/Processor_1;1225690200000;70;
+powerConsumption;compRes/Processor_1;1225692000000;100;
 powerConsumption;compRes/Processor_1;1225695600000;100;
+mean: 92.03125 sum: 736.25
+powerConsumption;compRes/Processor_2;1225666800000;90;
+powerConsumption;compRes/Processor_2;1225670400000;95;
+powerConsumption;compRes/Processor_2;1225675800000;90;
+powerConsumption;compRes/Processor_2;1225679400000;95;
+powerConsumption;compRes/Processor_2;1225684800000;90;
+powerConsumption;compRes/Processor_2;1225686600000;95;
+powerConsumption;compRes/Processor_2;1225689300000;80;
+powerConsumption;compRes/Processor_2;1225690200000;70;
+powerConsumption;compRes/Processor_2;1225692000000;100;
+powerConsumption;compRes/Processor_2;1225695600000;100;
+mean: 92.03125 sum: 736.25
+powerConsumption;compRes/Processor_3;1225666800000;80;
+powerConsumption;compRes/Processor_3;1225668600000;70;
+powerConsumption;compRes/Processor_3;1225672200000;90;
+powerConsumption;compRes/Processor_3;1225675800000;95;
+powerConsumption;compRes/Processor_3;1225681200000;100;
+powerConsumption;compRes/Processor_3;1225684800000;90;
+powerConsumption;compRes/Processor_3;1225686600000;95;
+powerConsumption;compRes/Processor_3;1225689300000;80;
+powerConsumption;compRes/Processor_3;1225690200000;70;
+powerConsumption;compRes/Processor_3;1225692000000;100;
+powerConsumption;compRes/Processor_3;1225695600000;100;
+mean: 89.21875 sum: 713.75
+powerConsumption;compRes/Processor_4;1225666800000;80;
+powerConsumption;compRes/Processor_4;1225668600000;70;
+powerConsumption;compRes/Processor_4;1225672200000;90;
+powerConsumption;compRes/Processor_4;1225675800000;95;
+powerConsumption;compRes/Processor_4;1225681200000;100;
+powerConsumption;compRes/Processor_4;1225684800000;90;
+powerConsumption;compRes/Processor_4;1225686600000;95;
+powerConsumption;compRes/Processor_4;1225689300000;80;
+powerConsumption;compRes/Processor_4;1225690200000;70;
+powerConsumption;compRes/Processor_4;1225692000000;100;
+powerConsumption;compRes/Processor_4;1225695600000;100;
+mean: 89.21875 sum: 713.75
+powerConsumption;compRes/Processor_5;1225666800000;80;
+powerConsumption;compRes/Processor_5;1225668600000;70;
+powerConsumption;compRes/Processor_5;1225672200000;80;
+powerConsumption;compRes/Processor_5;1225674000000;70;
+powerConsumption;compRes/Processor_5;1225677600000;80;
+powerConsumption;compRes/Processor_5;1225681200000;70;
+powerConsumption;compRes/Processor_5;1225688400000;100;
+powerConsumption;compRes/Processor_5;1225695600000;100;
+mean: 80.0 sum: 640.0
+powerConsumption;compRes/Processor_6;1225666800000;80;
+powerConsumption;compRes/Processor_6;1225668600000;70;
+powerConsumption;compRes/Processor_6;1225672200000;80;
+powerConsumption;compRes/Processor_6;1225674000000;70;
+powerConsumption;compRes/Processor_6;1225677600000;90;
+powerConsumption;compRes/Processor_6;1225684800000;95;
+powerConsumption;compRes/Processor_6;1225695600000;100;
 mean: 85.625 sum: 685.0
-powerConsumption;compRes/Processor_2;1225666800000;80;
-powerConsumption;compRes/Processor_2;1225668600000;70;
-powerConsumption;compRes/Processor_2;1225672200000;80;
-powerConsumption;compRes/Processor_2;1225674000000;70;
-powerConsumption;compRes/Processor_2;1225677600000;80;
-powerConsumption;compRes/Processor_2;1225681200000;70;
-powerConsumption;compRes/Processor_2;1225688400000;90;
-powerConsumption;compRes/Processor_2;1225690200000;95;
-powerConsumption;compRes/Processor_2;1225692900000;100;
-powerConsumption;compRes/Processor_2;1225695600000;100;
-mean: 78.90625 sum: 631.25
-powerConsumption;compRes/Processor_3;1225666800000;90;
-powerConsumption;compRes/Processor_3;1225670400000;95;
-powerConsumption;compRes/Processor_3;1225675800000;90;
-powerConsumption;compRes/Processor_3;1225679400000;95;
-powerConsumption;compRes/Processor_3;1225684800000;80;
-powerConsumption;compRes/Processor_3;1225685700000;70;
-powerConsumption;compRes/Processor_3;1225687500000;100;
-powerConsumption;compRes/Processor_3;1225688400000;90;
-powerConsumption;compRes/Processor_3;1225690200000;95;
-powerConsumption;compRes/Processor_3;1225692900000;100;
-powerConsumption;compRes/Processor_3;1225695600000;100;
-mean: 92.03125 sum: 736.25
-powerConsumption;compRes/Processor_4;1225666800000;90;
-powerConsumption;compRes/Processor_4;1225670400000;95;
-powerConsumption;compRes/Processor_4;1225675800000;90;
-powerConsumption;compRes/Processor_4;1225679400000;95;
-powerConsumption;compRes/Processor_4;1225684800000;80;
-powerConsumption;compRes/Processor_4;1225685700000;70;
-powerConsumption;compRes/Processor_4;1225687500000;100;
-powerConsumption;compRes/Processor_4;1225688400000;90;
-powerConsumption;compRes/Processor_4;1225690200000;95;
-powerConsumption;compRes/Processor_4;1225692900000;100;
-powerConsumption;compRes/Processor_4;1225695600000;100;
-mean: 92.03125 sum: 736.25
-powerConsumption;compRes/Processor_5;1225666800000;90;
-powerConsumption;compRes/Processor_5;1225670400000;95;
-powerConsumption;compRes/Processor_5;1225675800000;80;
-powerConsumption;compRes/Processor_5;1225677600000;70;
-powerConsumption;compRes/Processor_5;1225681200000;100;
-powerConsumption;compRes/Processor_5;1225684800000;80;
-powerConsumption;compRes/Processor_5;1225685700000;70;
-powerConsumption;compRes/Processor_5;1225687500000;100;
-powerConsumption;compRes/Processor_5;1225688400000;90;
-powerConsumption;compRes/Processor_5;1225690200000;95;
-powerConsumption;compRes/Processor_5;1225692900000;100;
-powerConsumption;compRes/Processor_5;1225695600000;100;
-mean: 89.21875 sum: 713.75
-powerConsumption;compRes/Processor_6;1225666800000;90;
-powerConsumption;compRes/Processor_6;1225670400000;95;
-powerConsumption;compRes/Processor_6;1225675800000;80;
-powerConsumption;compRes/Processor_6;1225677600000;70;
-powerConsumption;compRes/Processor_6;1225681200000;100;
-powerConsumption;compRes/Processor_6;1225684800000;80;
-powerConsumption;compRes/Processor_6;1225685700000;70;
-powerConsumption;compRes/Processor_6;1225687500000;100;
-powerConsumption;compRes/Processor_6;1225695600000;100;
-mean: 90.3125 sum: 722.5
Index: DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1476)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1481)
@@ -1,83 +1,79 @@
-utlization;compRes;1225666800000;0.867;
-utlization;compRes;1225668600000;0.833;
-utlization;compRes;1225670400000;0.867;
-utlization;compRes;1225672200000;0.9;
-utlization;compRes;1225674000000;0.867;
-utlization;compRes;1225675800000;0.8;
-utlization;compRes;1225677600000;0.817;
-utlization;compRes;1225679400000;0.833;
+utlization;compRes;1225666800000;0.833;
+utlization;compRes;1225668600000;0.767;
+utlization;compRes;1225670400000;0.783;
+utlization;compRes;1225672200000;0.883;
+utlization;compRes;1225674000000;0.85;
+utlization;compRes;1225677600000;0.9;
+utlization;compRes;1225679400000;0.917;
 utlization;compRes;1225681200000;0.583;
-utlization;compRes;1225684800000;0.808;
-utlization;compRes;1225685700000;0.742;
-utlization;compRes;1225687500000;0.275;
-utlization;compRes;1225688400000;0.758;
-utlization;compRes;1225690200000;0.792;
-utlization;compRes;1225692900000;0.158;
+utlization;compRes;1225684800000;0.875;
+utlization;compRes;1225686600000;0.908;
+utlization;compRes;1225688400000;0.792;
+utlization;compRes;1225689300000;0.692;
+utlization;compRes;1225690200000;0.625;
+utlization;compRes;1225692000000;0.158;
 utlization;compRes;1225695600000;0;
-mean: 0.7135416666666666
-utlization;compRes/Processor_1;1225666800000;0.8;
-utlization;compRes/Processor_1;1225668600000;0.7;
-utlization;compRes/Processor_1;1225672200000;0.8;
-utlization;compRes/Processor_1;1225674000000;0.7;
-utlization;compRes/Processor_1;1225677600000;0.9;
-utlization;compRes/Processor_1;1225684800000;0.95;
+mean: 0.7135416666666667
+utlization;compRes/Processor_1;1225666800000;0.9;
+utlization;compRes/Processor_1;1225670400000;0.95;
+utlization;compRes/Processor_1;1225675800000;0.9;
+utlization;compRes/Processor_1;1225679400000;0.95;
+utlization;compRes/Processor_1;1225684800000;0.9;
+utlization;compRes/Processor_1;1225686600000;0.95;
+utlization;compRes/Processor_1;1225689300000;0.8;
+utlization;compRes/Processor_1;1225690200000;0.7;
+utlization;compRes/Processor_1;1225692000000;0;
 utlization;compRes/Processor_1;1225695600000;0;
+mean: 0.7953125000000001
+utlization;compRes/Processor_2;1225666800000;0.9;
+utlization;compRes/Processor_2;1225670400000;0.95;
+utlization;compRes/Processor_2;1225675800000;0.9;
+utlization;compRes/Processor_2;1225679400000;0.95;
+utlization;compRes/Processor_2;1225684800000;0.9;
+utlization;compRes/Processor_2;1225686600000;0.95;
+utlization;compRes/Processor_2;1225689300000;0.8;
+utlization;compRes/Processor_2;1225690200000;0.7;
+utlization;compRes/Processor_2;1225692000000;0;
+utlization;compRes/Processor_2;1225695600000;0;
+mean: 0.7953125000000001
+utlization;compRes/Processor_3;1225666800000;0.8;
+utlization;compRes/Processor_3;1225668600000;0.7;
+utlization;compRes/Processor_3;1225672200000;0.9;
+utlization;compRes/Processor_3;1225675800000;0.95;
+utlization;compRes/Processor_3;1225681200000;0;
+utlization;compRes/Processor_3;1225684800000;0.9;
+utlization;compRes/Processor_3;1225686600000;0.95;
+utlization;compRes/Processor_3;1225689300000;0.8;
+utlization;compRes/Processor_3;1225690200000;0.7;
+utlization;compRes/Processor_3;1225692000000;0;
+utlization;compRes/Processor_3;1225695600000;0;
+mean: 0.6421875
+utlization;compRes/Processor_4;1225666800000;0.8;
+utlization;compRes/Processor_4;1225668600000;0.7;
+utlization;compRes/Processor_4;1225672200000;0.9;
+utlization;compRes/Processor_4;1225675800000;0.95;
+utlization;compRes/Processor_4;1225681200000;0;
+utlization;compRes/Processor_4;1225684800000;0.9;
+utlization;compRes/Processor_4;1225686600000;0.95;
+utlization;compRes/Processor_4;1225689300000;0.8;
+utlization;compRes/Processor_4;1225690200000;0.7;
+utlization;compRes/Processor_4;1225692000000;0;
+utlization;compRes/Processor_4;1225695600000;0;
+mean: 0.6421875
+utlization;compRes/Processor_5;1225666800000;0.8;
+utlization;compRes/Processor_5;1225668600000;0.7;
+utlization;compRes/Processor_5;1225672200000;0.8;
+utlization;compRes/Processor_5;1225674000000;0.7;
+utlization;compRes/Processor_5;1225677600000;0.8;
+utlization;compRes/Processor_5;1225681200000;0.7;
+utlization;compRes/Processor_5;1225688400000;0;
+utlization;compRes/Processor_5;1225695600000;0;
+mean: 0.55
+utlization;compRes/Processor_6;1225666800000;0.8;
+utlization;compRes/Processor_6;1225668600000;0.7;
+utlization;compRes/Processor_6;1225672200000;0.8;
+utlization;compRes/Processor_6;1225674000000;0.7;
+utlization;compRes/Processor_6;1225677600000;0.9;
+utlization;compRes/Processor_6;1225684800000;0.95;
+utlization;compRes/Processor_6;1225695600000;0;
 mean: 0.85625
-utlization;compRes/Processor_2;1225666800000;0.8;
-utlization;compRes/Processor_2;1225668600000;0.7;
-utlization;compRes/Processor_2;1225672200000;0.8;
-utlization;compRes/Processor_2;1225674000000;0.7;
-utlization;compRes/Processor_2;1225677600000;0.8;
-utlization;compRes/Processor_2;1225681200000;0.7;
-utlization;compRes/Processor_2;1225688400000;0.9;
-utlization;compRes/Processor_2;1225690200000;0.95;
-utlization;compRes/Processor_2;1225692900000;0;
-utlization;compRes/Processor_2;1225695600000;0;
-mean: 0.6953125000000001
-utlization;compRes/Processor_3;1225666800000;0.9;
-utlization;compRes/Processor_3;1225670400000;0.95;
-utlization;compRes/Processor_3;1225675800000;0.9;
-utlization;compRes/Processor_3;1225679400000;0.95;
-utlization;compRes/Processor_3;1225684800000;0.8;
-utlization;compRes/Processor_3;1225685700000;0.7;
-utlization;compRes/Processor_3;1225687500000;0;
-utlization;compRes/Processor_3;1225688400000;0.9;
-utlization;compRes/Processor_3;1225690200000;0.95;
-utlization;compRes/Processor_3;1225692900000;0;
-utlization;compRes/Processor_3;1225695600000;0;
-mean: 0.7953125000000001
-utlization;compRes/Processor_4;1225666800000;0.9;
-utlization;compRes/Processor_4;1225670400000;0.95;
-utlization;compRes/Processor_4;1225675800000;0.9;
-utlization;compRes/Processor_4;1225679400000;0.95;
-utlization;compRes/Processor_4;1225684800000;0.8;
-utlization;compRes/Processor_4;1225685700000;0.7;
-utlization;compRes/Processor_4;1225687500000;0;
-utlization;compRes/Processor_4;1225688400000;0.9;
-utlization;compRes/Processor_4;1225690200000;0.95;
-utlization;compRes/Processor_4;1225692900000;0;
-utlization;compRes/Processor_4;1225695600000;0;
-mean: 0.7953125000000001
-utlization;compRes/Processor_5;1225666800000;0.9;
-utlization;compRes/Processor_5;1225670400000;0.95;
-utlization;compRes/Processor_5;1225675800000;0.8;
-utlization;compRes/Processor_5;1225677600000;0.7;
-utlization;compRes/Processor_5;1225681200000;0;
-utlization;compRes/Processor_5;1225684800000;0.8;
-utlization;compRes/Processor_5;1225685700000;0.7;
-utlization;compRes/Processor_5;1225687500000;0;
-utlization;compRes/Processor_5;1225688400000;0.9;
-utlization;compRes/Processor_5;1225690200000;0.95;
-utlization;compRes/Processor_5;1225692900000;0;
-utlization;compRes/Processor_5;1225695600000;0;
-mean: 0.6421875
-utlization;compRes/Processor_6;1225666800000;0.9;
-utlization;compRes/Processor_6;1225670400000;0.95;
-utlization;compRes/Processor_6;1225675800000;0.8;
-utlization;compRes/Processor_6;1225677600000;0.7;
-utlization;compRes/Processor_6;1225681200000;0;
-utlization;compRes/Processor_6;1225684800000;0.8;
-utlization;compRes/Processor_6;1225685700000;0.7;
-utlization;compRes/Processor_6;1225687500000;0;
-utlization;compRes/Processor_6;1225695600000;0;
-mean: 0.496875
Index: DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Simulation.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Simulation.txt	(revision 1476)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Simulation.txt	(revision 1481)
@@ -3,12 +3,12 @@
 Failed requests (tasks);0;0;0;0;0;0;1;
 Makespan;28,800;0;0;28,800;28,800;28,800;1;
-Resources queue length;1.812;0;0;1.812;1.812;1.812;1;
+Resources queue length;1.688;0;0;1.688;1.688;1.688;1;
 Resources total load;0.714;0;0;0.714;0.714;0.714;1;
-Energy usage;704.167;36.903;1,361.806;631.25;736.25;4,225;6;
-Task completion time;16,380;7,495.439;56,181,600;5,400;28,800;163,800;10;
+Energy usage;704.167;33.484;1,121.181;640;736.25;4,225;6;
+Task completion time;16,110;7,932.774;62,928,900;5,400;28,800;161,100;10;
 Task execution time;7,920;4,140;17,139,600;2,700;18,000;79,200;10;
-Task start time;5,940;5,751.556;33,080,400;0;18,000;59,400;10;
-Task flow time;13,860;7,213.487;52,034,400;4,500;28,800;138,600;10;
-Task waiting time;5,940;5,751.556;33,080,400;0;18,000;59,400;10;
+Task start time;5,670;5,577.822;31,112,100;0;18,000;56,700;10;
+Task flow time;13,590;7,491.655;56,124,900;3,600;25,200;135,900;10;
+Task waiting time;5,670;5,577.822;31,112,100;0;18,000;56,700;10;
 Task lateness;0;0;0;0;0;0;10;
 Task tardiness;0;0;0;0;0;0;10;
Index: DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Tasks.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Tasks.txt	(revision 1476)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Tasks.txt	(revision 1481)
@@ -1,11 +1,11 @@
 JobID;TaskID;UserDN;SchedName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;HostNames;ProcessorName;Energy;AppName;
-1;1;-1;cluster;2;1225666800;1225672200;1225672200;1225666800;1225666800;5400;0;5400;0;0;5400;0;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2];0;0;
-2;2;-1;cluster;2;1225666800;1225675800;1225675800;1225666800;1225666800;9000;0;9000;0;0;9000;0;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4];0;1;
-3;3;-1;cluster;4;1225684800;1225687500;1225687500;1225666800;1225666800;20700;18000;2700;0;18000;20700;18000;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4, compRes/Processor_5, compRes/Processor_6];0;0;
-4;4;-1;cluster;2;1225666800;1225675800;1225675800;1225666800;1225666800;9000;0;9000;0;0;9000;0;0;0;0;0;0;[];[compRes/Processor_5, compRes/Processor_6];0;1;
-5;5;-1;cluster;2;1225672200;1225677600;1225677600;1225666800;1225666800;10800;5400;5400;0;5400;10800;5400;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2];0;0;
-6;6;-1;cluster;2;1225675800;1225684800;1225684800;1225666800;1225666800;18000;9000;9000;0;9000;18000;9000;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4];0;1;
-7;7;-1;cluster;2;1225675800;1225681200;1225681200;1225666800;1225666800;14400;9000;5400;0;9000;14400;9000;0;0;0;0;0;[];[compRes/Processor_5, compRes/Processor_6];0;0;
-8;8;-1;cluster;1;1225677600;1225695600;1225695600;1225666800;1225666800;28800;10800;18000;0;10800;28800;10800;0;0;0;0;0;[];[compRes/Processor_1];0;1;
-9;9;-1;cluster;1;1225677600;1225688400;1225688400;1225670400;1225670400;21600;10800;10800;3600;7200;18000;7200;0;0;0;0;0;[];[compRes/Processor_2];0;0;
-10;10;-1;cluster;4;1225688400;1225692900;1225692900;1225688400;1225688400;26100;21600;4500;21600;0;4500;0;0;0;0;0;0;[];[compRes/Processor_2, compRes/Processor_3, compRes/Processor_4, compRes/Processor_5];0;1;
+1;1;-1;cluster;2;1225666800;1225675800;1225675800;1225666800;1225666800;9000;0;9000;0;0;9000;0;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2];0;0;
+2;2;-1;cluster;2;1225666800;1225672200;1225672200;1225666800;1225666800;5400;0;5400;0;0;5400;0;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4];0;1;
+3;3;-1;cluster;4;1225684800;1225689300;1225689300;1225666800;1225666800;22500;18000;4500;0;18000;22500;18000;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2, compRes/Processor_3, compRes/Processor_4];0;0;
+4;4;-1;cluster;2;1225666800;1225672200;1225672200;1225666800;1225666800;5400;0;5400;0;0;5400;0;0;0;0;0;0;[];[compRes/Processor_5, compRes/Processor_6];0;1;
+5;5;-1;cluster;2;1225672200;1225681200;1225681200;1225666800;1225666800;14400;5400;9000;0;5400;14400;5400;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4];0;0;
+6;6;-1;cluster;2;1225672200;1225677600;1225677600;1225666800;1225666800;10800;5400;5400;0;5400;10800;5400;0;0;0;0;0;[];[compRes/Processor_5, compRes/Processor_6];0;1;
+7;7;-1;cluster;2;1225675800;1225684800;1225684800;1225666800;1225666800;18000;9000;9000;0;9000;18000;9000;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2];0;0;
+8;8;-1;cluster;1;1225677600;1225688400;1225688400;1225666800;1225666800;21600;10800;10800;0;10800;21600;10800;0;0;0;0;0;[];[compRes/Processor_5];0;1;
+9;9;-1;cluster;1;1225677600;1225695600;1225695600;1225670400;1225670400;28800;10800;18000;3600;7200;25200;7200;0;0;0;0;0;[];[compRes/Processor_6];0;0;
+10;10;-1;cluster;4;1225689300;1225692000;1225692000;1225688400;1225688400;25200;22500;2700;21600;900;3600;900;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2, compRes/Processor_3, compRes/Processor_4];0;1;
Index: DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_ResourceOccupancy.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1476)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1481)
@@ -5,51 +5,48 @@
 utlization;compRes;1225681200000;0.667;
 utlization;compRes;1225684800000;1;
-utlization;compRes;1225687500000;0.333;
 utlization;compRes;1225688400000;0.833;
-utlization;compRes;1225692900000;0.167;
+utlization;compRes;1225689300000;0.833;
+utlization;compRes;1225692000000;0.167;
 utlization;compRes;1225695600000;0;
 mean: 0.8333333333333334
 utlization;compRes/Processor_1;1225666800000;1;
-utlization;compRes/Processor_1;1225672200000;1;
-utlization;compRes/Processor_1;1225677600000;1;
+utlization;compRes/Processor_1;1225675800000;1;
+utlization;compRes/Processor_1;1225684800000;1;
+utlization;compRes/Processor_1;1225689300000;1;
+utlization;compRes/Processor_1;1225692000000;0;
 utlization;compRes/Processor_1;1225695600000;0;
-mean: 1.0
+mean: 0.875
 utlization;compRes/Processor_2;1225666800000;1;
-utlization;compRes/Processor_2;1225672200000;1;
-utlization;compRes/Processor_2;1225677600000;1;
-utlization;compRes/Processor_2;1225688400000;1;
-utlization;compRes/Processor_2;1225692900000;0;
+utlization;compRes/Processor_2;1225675800000;1;
+utlization;compRes/Processor_2;1225684800000;1;
+utlization;compRes/Processor_2;1225689300000;1;
+utlization;compRes/Processor_2;1225692000000;0;
 utlization;compRes/Processor_2;1225695600000;0;
-mean: 0.90625
+mean: 0.875
 utlization;compRes/Processor_3;1225666800000;1;
-utlization;compRes/Processor_3;1225675800000;1;
+utlization;compRes/Processor_3;1225672200000;1;
+utlization;compRes/Processor_3;1225681200000;0;
 utlization;compRes/Processor_3;1225684800000;1;
-utlization;compRes/Processor_3;1225687500000;0;
-utlization;compRes/Processor_3;1225688400000;1;
-utlization;compRes/Processor_3;1225692900000;0;
+utlization;compRes/Processor_3;1225689300000;1;
+utlization;compRes/Processor_3;1225692000000;0;
 utlization;compRes/Processor_3;1225695600000;0;
-mean: 0.875
+mean: 0.75
 utlization;compRes/Processor_4;1225666800000;1;
-utlization;compRes/Processor_4;1225675800000;1;
+utlization;compRes/Processor_4;1225672200000;1;
+utlization;compRes/Processor_4;1225681200000;0;
 utlization;compRes/Processor_4;1225684800000;1;
-utlization;compRes/Processor_4;1225687500000;0;
-utlization;compRes/Processor_4;1225688400000;1;
-utlization;compRes/Processor_4;1225692900000;0;
+utlization;compRes/Processor_4;1225689300000;1;
+utlization;compRes/Processor_4;1225692000000;0;
 utlization;compRes/Processor_4;1225695600000;0;
-mean: 0.875
+mean: 0.75
 utlization;compRes/Processor_5;1225666800000;1;
-utlization;compRes/Processor_5;1225675800000;1;
-utlization;compRes/Processor_5;1225681200000;0;
-utlization;compRes/Processor_5;1225684800000;1;
-utlization;compRes/Processor_5;1225687500000;0;
-utlization;compRes/Processor_5;1225688400000;1;
-utlization;compRes/Processor_5;1225692900000;0;
+utlization;compRes/Processor_5;1225672200000;1;
+utlization;compRes/Processor_5;1225677600000;1;
+utlization;compRes/Processor_5;1225688400000;0;
 utlization;compRes/Processor_5;1225695600000;0;
 mean: 0.75
 utlization;compRes/Processor_6;1225666800000;1;
-utlization;compRes/Processor_6;1225675800000;1;
-utlization;compRes/Processor_6;1225681200000;0;
-utlization;compRes/Processor_6;1225684800000;1;
-utlization;compRes/Processor_6;1225687500000;0;
+utlization;compRes/Processor_6;1225672200000;1;
+utlization;compRes/Processor_6;1225677600000;1;
 utlization;compRes/Processor_6;1225695600000;0;
-mean: 0.59375
+mean: 1.0
Index: DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Jobs.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Jobs.txt	(revision 1476)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles_result/Stats_Simulation_1_Jobs.txt	(revision 1481)
@@ -1,11 +1,11 @@
 jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
-1;5,400;5,400;0;5,400;0;0;0;0;5,400;
-2;9,000;9,000;0;9,000;0;0;0;0;9,000;
-3;20,700;2,700;18,000;20,700;18,000;0;0;0;20,700;
-4;9,000;9,000;0;9,000;0;0;0;0;9,000;
-5;10,800;5,400;5,400;10,800;5,400;0;0;0;10,800;
-6;18,000;9,000;9,000;18,000;9,000;0;0;0;18,000;
-7;14,400;5,400;9,000;14,400;9,000;0;0;0;14,400;
-8;28,800;18,000;10,800;28,800;10,800;0;0;0;28,800;
-9;21,600;10,800;7,200;18,000;7,200;0;0;0;21,600;
-10;26,100;4,500;0;4,500;0;0;0;0;26,100;
+1;9,000;9,000;0;9,000;0;0;0;0;9,000;
+2;5,400;5,400;0;5,400;0;0;0;0;5,400;
+3;22,500;4,500;18,000;22,500;18,000;0;0;0;22,500;
+4;5,400;5,400;0;5,400;0;0;0;0;5,400;
+5;14,400;9,000;5,400;14,400;5,400;0;0;0;14,400;
+6;10,800;5,400;5,400;10,800;5,400;0;0;0;10,800;
+7;18,000;9,000;9,000;18,000;9,000;0;0;0;18,000;
+8;21,600;10,800;10,800;21,600;10,800;0;0;0;21,600;
+9;28,800;18,000;7,200;25,200;7,200;0;0;0;28,800;
+10;25,200;2,700;900;3,600;900;0;0;0;25,200;