Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_00.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_00.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_00.xml	(revision 1483)
@@ -0,0 +1,14 @@
+<job id="0">
+	<task id="0">
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_01.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_01.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_01.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="1">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_02.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_02.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_02.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="2">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>4.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+			<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_03.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_03.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_03.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="3">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+			<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_04.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_04.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_04.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="4">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+			<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_05.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_05.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_05.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="5">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_06.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_06.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_06.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="6">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_07.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_07.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_07.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="7">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_08.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_08.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_08.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="8">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/workload.swf
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/workload.swf	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/workload.swf	(revision 1483)
@@ -0,0 +1,32 @@
+;Automatically generated workload description by the Grid Scheduling Simulator
+;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
+;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
+;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
+;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
+;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
+;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
+;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
+;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
+;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
+;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
+;StartTime: Mon Nov 03 00:00:00 CET 2008
+;PUSpeed: 1
+
+
+;IDMapping: swfID:jobID:taskID
+; 1:0:0, 2:1:0, 3:2:0, 4:3:0, 
+; 5:4:0, 6:5:0, 7:6:0, 8:7:0,
+; 9:8:0, 10:9:0, 
+;IDMapping: end
+
+		1			0			-1		7200	2		-1		-1		2		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		2			0			-1		7200	2		-1		-1		2		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		3			0			-1		7200	4		-1		-1		4		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		4			0			-1		7200	2		-1		-1		2		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		5			0			-1		7200	2		-1		-1		2		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		6			0			-1		10800	2		-1		-1		2		-1		-1		-1		-1		-1		1		1		1		-1		-1
+; -----------
+		7			0			-1		14400	2		-1		-1		2		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		8			0			-1		28800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		9			3600		-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		10			21600		-1		21600	4		-1		-1		4		-1		-1		-1		-1		-1		1		1		1		-1		-1
Index: DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_09.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_09.xml	(revision 1483)
+++ DCWoRMS/branches/coolemall/example/applicationProfiles2/workload/Job_09.xml	(revision 1483)
@@ -0,0 +1,23 @@
+<job id="9">
+	<task id="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>4.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<duration>PT1H</duration>
+				</resourceConsumption>
+				<resourceConsumption>
+					<duration>PT2H</duration>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>