Index: WoRMS/branches/coolemall/example/experiment6/experiment6.properties
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment6/experiment6.properties	(revision 1223)
+++ 	(revision )
@@ -1,27 +1,0 @@
-# Use single *.swf file as workload description.
-
-# Path to xml file which describes resource characteristics.
-resdesc=example/experiment6/resources6.xml
-
-# and swf file, which name is declared by readscenario.workloadfilename parameter.
-# Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.inputfolder=example/experiment6/workload
-readscenario.workloadfilename=workload.swf
-
-# Choose directory where all result files should be placed.
-stats.outputfolder=example/experiment6_result
-
-# Define the type and content of charts to generate
-
-# Gantt chart
-creatediagrams.gantt=true
-
-# Shows the execution times of tasks
-creatediagrams.tasks=false
-
-# Shows the waiting times of tasks
-creatediagrams.taskswaitingtime=false
-
-creatediagrams.respowerusage=DataCenter
-# Resource utilization chart - only for processors
-#creatediagrams.resutilization=Processor
Index: WoRMS/branches/coolemall/example/experiment6/RunExperiment.java
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment6/RunExperiment.java	(revision 764)
+++ 	(revision )
@@ -1,20 +1,0 @@
-package experiment6;
-
-import simulator.DataCenterWorkloadSimulator;
-
-
-public class RunExperiment {
-	
-	public static void main(String args[]){
-		RunExperiment runner = new RunExperiment();
-		runner.run();
-	}
-	
-	public void run(){
-		String args[] = {
-				"example/experiment6/experiment6.properties"
-				};
-		DataCenterWorkloadSimulator.main(args);
-	}
-
-}
Index: WoRMS/branches/coolemall/example/experiment6/resources6.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment6/resources6.xml	(revision 1416)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
-	
-		
-	<timeEstimationPlugin>
-		<name>example.timeestimation.coolemall.PhaseBasedTimeEstimationPlugin</name>
-	</timeEstimationPlugin>
-	<!-- Simple data center description -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes">
-			<profile>
-				<powerProfile>
-					<energyEstimationPlugin>
-						<name>example.energy.DataCenterEnergyEstimationPlugin</name>
-					</energyEstimationPlugin>				
-				</powerProfile>
-			</profile>
-			<!-- Defined data center contains only 6 processors -->
-			<computingResource class="Processor" count="6">
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.coolemall.ProcessorEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>				
-					</powerProfile>
-				</profile>
-			</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<!-- Definition of scheduling plugin at cluster level -->
-			<schedulingPlugin>
-				<name>example.localplugin.FCFSBF_LocalPlugin</name>
-			</schedulingPlugin>	
-			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
-			<managedComputingResources include="false">
-				<resourceName>compRes</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-
-</environment>
Index: WoRMS/branches/coolemall/example/experiment8/resources8.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment8/resources8.xml	(revision 1416)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
-	
-		
-	<timeEstimationPlugin>
-		<name>example.timeestimation.coolemall.PhaseBasedTimeEstimationPlugin</name>
-	</timeEstimationPlugin>
-	<!-- Simple data center description -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes">
-			<profile>
-				<powerProfile>
-					<energyEstimationPlugin>
-						<name>example.energy.DataCenterEnergyEstimationPlugin</name>
-					</energyEstimationPlugin>				
-				</powerProfile>
-			</profile>
-			<!-- Defined data center contains only 6 processors -->
-			<computingResource class="Processor" count="6">
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.coolemall.ProcessorEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>				
-					</powerProfile>
-				</profile>
-			</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<!-- Definition of scheduling plugin at cluster level -->
-			<schedulingPlugin>
-				<name>example.localplugin.FCFSBF_LocalPlugin</name>
-			</schedulingPlugin>	
-			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
-			<managedComputingResources include="false">
-				<resourceName>compRes</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-
-</environment>
Index: WoRMS/branches/coolemall/example/experiment8/experiment8.properties
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment8/experiment8.properties	(revision 1223)
+++ 	(revision )
@@ -1,26 +1,0 @@
-# Use single *.swf file as workload description.
-
-# Path to xml file which describes resource characteristics.
-resdesc=example/experiment8/resources8.xml
-
-# and swf file, which name is declared by readscenario.workloadfilename parameter.
-# Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=example/experiment8/workload/workload.swf
-
-# Choose directory where all result files should be placed.
-stats.outputfolder=example/experiment8_result
-
-# Define the type and content of charts to generate
-
-# Gantt chart
-creatediagrams.gantt=true
-
-# Shows the execution times of tasks
-creatediagrams.tasks=false
-
-# Shows the waiting times of tasks
-creatediagrams.taskswaitingtime=false
-
-creatediagrams.respowerusage=DataCenter
-# Resource utilization chart - only for processors
-#creatediagrams.resutilization=Processor
Index: WoRMS/branches/coolemall/example/experiment8/RunExperiment.java
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment8/RunExperiment.java	(revision 883)
+++ 	(revision )
@@ -1,20 +1,0 @@
-package experiment8;
-
-import simulator.DataCenterWorkloadSimulator;
-
-
-public class RunExperiment {
-	
-	public static void main(String args[]){
-		RunExperiment runner = new RunExperiment();
-		runner.run();
-	}
-	
-	public void run(){
-		String args[] = {
-				"example/experiment8/experiment8.properties"
-				};
-		DataCenterWorkloadSimulator.main(args);
-	}
-
-}